# Installation

Run fresh_mu_install_v2.sh after mu_installer installation. Reboot after the installation so as to start all the background services.

```
cd Downloads
git clone https://git.spirirobotics.com/orion1/post_muinstaller_installation.git
cd post_muinstaller_installation
sudo chmod +x fresh_mu_install_v2.sh
```

```
sudo ./fresh_mu_install_v2.sh
```

After rebooting, add the user into dialout group so that we can access the serial port directly. Reboot once again and mavroslaunch should work properly.

```
sudo usermod -a -G dialout $USER
```
# Installed packages

Packages to be Installed

 - Basic tools and libraries
 - ROS Melodic and relevant packages 
 - Gstreamer & GSCAM
 - Python 2.7 & 3.6
 - Nvidia CUDA
 - OpenCV 3.4
 - Geographic libraries

# Systemd Services 

Services to run on startup

 - Radio Listener to tune the cameras, restart TX2 or FCU with a flip of switch on the RC
 - ROSCORE start
 - MAVROS start
 - Camera start
 - GPU stereo vision start
 - RTSP broadcaster start

     